Page MenuHomePhabricator

Jan Dittrich would like to have access to superset
Closed, ResolvedPublic

Description

I would like to have access to superset (e.g. for working with @kai.nissen)

I have signed the NDA (see T136560, at that time for data analysis)

LDAP User name: WMDE-jand

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2019, 2:47 PM
Milimetric moved this task from Incoming to Ops Week on the Analytics board.Jul 8 2019, 3:39 PM
Nuria added a subscriber: Nuria.Jul 8 2019, 5:48 PM

Please add here your ldap user name

Jan_Dittrich updated the task description. (Show Details)Jul 9 2019, 8:15 AM

@Nuria sure – ldap: WMDE-jand

@Nuria I tried and got a 401 after username/password.

The credentials seems to be correct though: my https://grafana.wikimedia.org/ works fine with the credentials.

elukey added a subscriber: elukey.Jul 11 2019, 12:38 PM

@Jan_Dittrich hi! The superset LDAP config requires the uid, that usually is not different but in your case is wmde-jand. I amended it now your account in superset, can you retry?

Sadly, it does not work, still get

This server could not verify that you are authorized to access the document requested. Either you supplied the wrong credentials (e.g., bad password), or your browser doesn't understand how to supply the credentials required.

Ah no sorry there is another issue, namely that you are not in the nda LDAP group. What it is currently failing is not superset, but the httpd's LDAP auth in front of it (that requires the user to be either in wmf or nda). We'll need to create a task like https://phabricator.wikimedia.org/T188105

@elukey I see – will you create the nda group task, or shall I do create it?

@elukey I see – will you create the nda group task, or shall I do create it?

Please go ahead and create it, I'll work on it as soon as possible :)

it does, thanks!

elukey closed this task as Resolved.Jul 16 2019, 2:01 PM